<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="utf-8" />
    <style>
      body {
        background: #fafafa;
      }
      html {
        --theme-color: #123456;
      }
      host-element {
        display: inline-block;
        background-color: coral;
      }
      p {
        font-family: sans-serif;
      }
      slots-element div {
        border-style: dotted;
      }
    </style>
  </head>
  <body>
    <div id="demo"></div>

    <script type="module">
      import { html, render } from "lit-html";
      import "../super-elemento.js";

      const title = "Hello owc World!";
      render(
        html`
          <a href="temas.html">temas</a>
          <herencia-elemento></herencia-elemento>
          <sharing-styles></sharing-styles>
          <shadow-tree-style></shadow-tree-style>
          <p>-----</p>
          <host-element></host-element>
          <host-element hidden></host-element>
          <host-element class="blue"></host-element>
          <p>Parrafo</p>
          <p>-----</p>
          <slots-element>
            <p>Content in slots</p>
            <span slot="hi">Slotted span inside div</span>
          </slots-element>
          <p>Afuera del shadow tree</p>
          <slots-element>
            <div>Styllable with ::slotted</div>
          </slots-element>
          <slots-element>
            <div><p>Not styllable with ::slotted</p></div>
          </slots-element>
          <h2>Estilos configurables</h2>
          <config-style></config-style>
          <dynamic-style></dynamic-style>
        `,
        document.querySelector("#demo")
      );
    </script>
  </body>
</html>
